/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.ndc_mapper.utils;

/**
 * @author nick
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class Constants {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";

	static public final String ATTR_LABELER     = "lblcode";
	static public final String ATTR_PRODUCT     = "prodcode";
	static public final String ELEMENT_NDC_LIST = "NDCList";
	static public final String ELEMENT_NDC      = "ndc";
	
	static public final String IDENTITY_URI_PREFIX = "urn:epc:id:sgtin:";
	
	static public final String NDC_INDICATOR="03";
	
	// the initial size of the HashMap.  Current versions of the NDC
	// database have ~60,050 entires, so... 
	static public final int NUMBER_NDC_CODES = 61000;
	
	static public final String NDC_DYNA_CACHE="services/cache/NDCList";
}
