<%
/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
%>
<%@taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql"%>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<meta name="GENERATOR" content="IBM Software Development Platform">
		<meta http-equiv="Content-Style-Type" content="text/css">
		<title>xsqltest.jsp</title>
	</head>
	<body>
	
<sql:query dataSource="IBMRFID" var="Report">
SELECT	temp.controller_id AS "Controller ID", 
		temp.macaddress AS "MAC Addr", 
		temp.edgeonpremises AS "Edge on Prem",
		temp.entity_type_instance_name AS "Entity Type"
	FROM sage.controller as temp	
</sql:query>

		<table border>
			<tr>
<c:forEach var="columnName" items="${Report.columnNames}">
				<th><c:out value="${columnName}"/></th>
</c:forEach>			
			</tr>
<c:forEach var="row" items="${Report.rows}">
			<tr>
	<c:forEach var="columnName" items="${Report.columnNames}">	
		<c:choose>
			<c:when test="${empty row[columnName]}">
				<td align="center"><c:out value="-"/></td>
			</c:when>
			<c:otherwise>
				<td class=reportValue><c:out value="${row[columnName]}"/></td>
			</c:otherwise>
		</c:choose>
	</c:forEach>
			</tr>
</c:forEach>
		</table>
		
	</body>
</html>
