/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
package com.ibm.trackntrace.utils;
/*
 *  these roles map directly in WAS to user names from the user repository. 
 *  that mapping is checked by the action handlers to verify authorization
 *  but WAS controls login by watching most of the pages.
 */
public class RoleDefs {
	public static final String COPYRIGHT = 
		"Licensed Materials - Property of IBM " +
		"5724-Y62 WebSphere Sensor Events " +
		"(c) Copyright IBM Corp. 2009  All rights reserved. " +
		"US Government Users Restricted Rights - Use, duplication or " +
		"disclosure restricted by GSA ADP Schedule Contract with IBM " +
		"Corp.";
	public static final java.lang.String ADMIN = "administrator";
	public static final java.lang.String SUPER = "supervisor";
	public static final java.lang.String DAMAGED = "damaged";
	public static final java.lang.String SHIPPER = "shipper";
	public static final java.lang.String RECEIVER = "receiver";
	public static final java.lang.String SPLITTER = "splitter";
	public static final java.lang.String SAMPLER = "sampler";
	public static final java.lang.String RETURNS = "returns";
	public static final java.lang.String RECOMMISSION = "recommission";
	public static final java.lang.String REPRINT = "reprint";
	public static final java.lang.String ANY = "any";
	
	public static final java.lang.String allRoles[] = {
		ADMIN, SUPER, DAMAGED, SHIPPER, RECEIVER, SPLITTER, SAMPLER, RETURNS, RECOMMISSION, REPRINT 		
	};
}
