<%
/*
 * Licensed Materials - Property of IBM
 * 5724-Y62 WebSphere Sensor Events
 * (c) Copyright IBM Corp. 2009  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following code is sample code
 * created by IBM Corporation.  This sample code is part of
 * WebSphere Sensor Events and is warranted to perform its
 * intended function only if used unmodified.  If you modify
 * this code then it is considered provided "AS IS", without
 * warranty of any kind.  Notwithstanding the foregoing, IBM
 * shall not be liable for any damages arising out of your use
 * of the sample code, even if they have been advised of the
 * possibility of such damages.
 */
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ taglib uri="/WEB-INF/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<html:html>
	<HEAD>
		<LINK href="images/favicon.ico" rel="SHORTCUT ICON"/>
		<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
			pageEncoding="ISO-8859-1"%>
		<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
		<META name="GENERATOR" content="IBM Software Development Platform">
		<META http-equiv="Content-Style-Type" content="text/css">
		<LINK href="${pageContext.request.contextPath}/theme/Master.css" rel="stylesheet" type="text/css">
		<TITLE><bean:message key='recommissionMenuPageTitle'/></TITLE>
		
		<SCRIPT language="JAVASCRIPT" SRC="${pageContext.request.contextPath}/js/basic.js"></SCRIPT>
		<SCRIPT language="JAVASCRIPT">
			function menuSelect(dest) {
				var form = document.forms[0];
				form.command.value=dest;
				form.submit();
			}
			function logError(msg) {
				var msgArea = findPageElement("msgArea");
				if (msgArea != null) {
					msgArea.innerHTML=msg;
				} else {
					alert(msg);
				}
			}
       		function clrScrn () {
            	var msgArea = findPageElement("msgArea"); 
            	if (msgArea != null) {
                	msgArea.innerHTML = "";
            	}
        	}
			function checkLastError() {
				var form = findPageElement("formData");
				if (form.lastError.value != null) {
					logError(form.lastError.value);
					form.lastError.value = "";
				} else {
					clearScrn();
				}
			}
			function init() {
				checkLastError();
			}
		</SCRIPT>
	</HEAD>

	<BODY onLoad="javascript:init();">
		<table><tr><td align="center">
		<jsp:useBean id='formData' class='com.ibm.trackntrace.forms.FormData' type='com.ibm.trackntrace.forms.FormData' scope='request'/>
		<html:errors/>
		<span class='error' id='msgArea'></span>
		<bean:message key='recommissionMenuPageTitleShow'/>
		<html:form action="/recommission">
			<input type="hidden" name="station" value="<c:out value='${formData.station}'/>"/>
			<input type="hidden" name="bizLocation" value="<c:out value='${formData.bizLocation}'/>"/>
			<input type="hidden" name="timeZoneOffset" value="<c:out value='${formData.timeZoneOffset}'/>"/>
			<input type="hidden" name="req_url" value="<c:out value='${formData.req_url}'/>"/>
			<input type="hidden" name="screen" value="RecommissionMenu"/>
			<input type="hidden" name="command" value="RecommissionMenu"/>
			<input type="hidden" name="userName" value="<c:out value='${formData.userName}'/>"/>
			<input type="hidden" name="userId" value="<c:out value='${formData.userId}'/>"/>
			<input type="hidden" name="lastError" value="<c:out value='${formData.lastError}'/>"/>
			<table><tr><td align="center">
				<a class='menuRow' href="#" onClick="menuSelect('RecommissionCases');"><bean:message key='btnRecommission_Cases'/></a>
				<a class='menuRow' href="#" onClick="menuSelect('RecommissionUnits');"><bean:message key='btnRecomission_Units'/></a>
				<a class='menuRow' href="#" onClick="menuSelect('MainMenu');"><bean:message key='btnMainMenu'/></a>
			</td></tr></table>
			<bean:message key='centeringString'/>
		</html:form>
		</td></tr></table>
	</BODY>
</html:html>
